=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Homepage: https://dot.net
 
 Package: dotnet8
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-sdk-8.0, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dotnet6 (<< 6.0.111~)
 Description: .NET CLI tools and runtime
@@ -39,7 +39,7 @@
  CLI application to drive everything.
 
 Package: dotnet-host-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: dotnet-host, dotnet-host-7.0
 Replaces: dotnet-host, dotnet-host-7.0
@@ -55,7 +55,7 @@
  applications, and micro-services.
 
 Package: dotnet-hostfxr-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-host-8.0, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dotnet-hostfxr-6.0 (<< 6.0.111~)
 Description: .NET host resolver
@@ -69,9 +69,9 @@
  applications, and micro-services.
 
 Package: dotnet-runtime-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-hostfxr-8.0,
-         libicu74,
+         libicu72,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: dotnet-runtime-6.0 (<< 6.0.111~)
@@ -87,7 +87,7 @@
  applications, and micro-services.
 
 Package: aspnetcore-runtime-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-runtime-8.0, ${misc:Depends}, ${shlibs:Depends}
 Breaks: aspnetcore-runtime-6.0 (<< 6.0.111~)
 Description: ASP.NET Core runtime
@@ -102,7 +102,7 @@
  applications, and micro-services.
 
 Package: dotnet-templates-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-host-8.0, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dotnet-templates-6.0 (<< 6.0.111~)
 Description: .NET 8.0 templates
@@ -115,7 +115,7 @@
  applications, and micro-services.
 
 Package: dotnet-sdk-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: aspnetcore-runtime-8.0,
          aspnetcore-targeting-pack-8.0,
          dotnet-apphost-pack-8.0,
@@ -138,7 +138,7 @@
  applications, and micro-services.
 
 Package: dotnet-sdk-8.0-source-built-artifacts
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal package for building the .NET 8.0 Software Development Kit
  The .NET source-built archive is a collection of packages needed
@@ -147,7 +147,7 @@
  These are not meant for general use.
 
 Package: dotnet-targeting-pack-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: dotnet-targeting-pack-6.0 (<< 6.0.111~)
 Description: Internal - targeting pack for Microsoft.NETCore.App 8.0
@@ -156,7 +156,7 @@
  applications using the .NET SDK. This are not meant for general use.
 
 Package: netstandard-targeting-pack-2.1-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: netstandard-targeting-pack-2.1, netstandard-targeting-pack-2.1-7.0
 Replaces: netstandard-targeting-pack-2.1, netstandard-targeting-pack-2.1-7.0
@@ -168,7 +168,7 @@
  This are not meant for general use.
 
 Package: aspnetcore-targeting-pack-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: aspnetcore-targeting-pack-6.0 (<< 6.0.111~)
 Description: Internal - targeting pack for Microsoft.AspNetCore.App 8.0
@@ -178,7 +178,7 @@
  This are not meant for general use.
 
 Package: dotnet-apphost-pack-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: dotnet-apphost-pack-6.0 (<< 6.0.111~)
 Description: Internal - targeting pack for Microsoft.NETCore.App 8.0
@@ -187,19 +187,19 @@
  applications using the .NET SDK. This not meant for general use.
 
 Package: aspnetcore-runtime-dbg-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: aspnetcore-runtime-8.0, ${misc:Depends}, ${shlibs:Depends}
 Description: ASP.NET Runtime debug symbols.
  This package provides the PDB debug symbols for Microsoft.AspNetCore.App 8.0.
 
 Package: dotnet-runtime-dbg-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-runtime-8.0, ${misc:Depends}, ${shlibs:Depends}
 Description: .NET Runtime debug symbols.
  This package provides the PDB debug symbols for Microsoft.NETCore.App 8.0.
 
 Package: dotnet-sdk-dbg-8.0
-Architecture: amd64 arm64 s390x
+Architecture: amd64 arm64
 Depends: dotnet-sdk-8.0, ${misc:Depends}, ${shlibs:Depends}
 Description: .NET SDK debug symbols.
  This package provides the PDB debug symbols for the .NET 8.0 SDK.
