=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 ifeq ($(DEB_HOST_ARCH), amd64)
 	_RUNTIME_ARCH = x64
-else ifeq ($(DEB_HOST_ARCH), s390x)
-	_RUNTIME_ARCH = s390x
 else ifeq ($(DEB_HOST_ARCH), arm64)
 # 	-fstack-clash-protection is not implemented in arm64 clang,
 # 	therefore stripping this flag away to avoid the error:
