=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libkrb5-dev,
                liblttng-ust-dev,
                libssl-dev,
-               libunwind-dev [!s390x],
-               lld [!s390x],
+               libunwind-dev,
+               lld,
                llvm,
                locales-all,
                python3,
@@ -71,7 +71,7 @@
 Package: dotnet-runtime-8.0
 Architecture: amd64 arm64 s390x ppc64el
 Depends: dotnet-hostfxr-8.0,
-         libicu70,
+         libicu74,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: dotnet-runtime-6.0 (<< 6.0.111~)
